package nsdb;
final public class OutOfDateHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.OutOfDate value;

	public OutOfDateHolder ()
	{
	}
	public OutOfDateHolder (nsdb.OutOfDate initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.OutOfDateHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.OutOfDateHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.OutOfDateHelper.write(_out,value);
	}
}
